<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/timer.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">timer.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano 102/112 series TIMER driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for timer.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../d1/d56/timer_8c__incl.png" border="0" usemap="#a_std_driver_2src_2timer_8c" alt=""/></div>
</div>
</div>
<p><a href="../../df/d41/timer_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga234d45c63fb6f5e977dbef2294089621"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">TIMER_Open</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Mode, uint32_t u32Freq)</td></tr>
<tr class="memdesc:ga234d45c63fb6f5e977dbef2294089621"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to configure timer to operate in specified mode and frequency. If timer cannot work in target frequency, a closest frequency will be chose and returned.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">More...</a><br /></td></tr>
<tr class="separator:ga234d45c63fb6f5e977dbef2294089621"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83113a85eb313523f4ec35ab585d8968"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">TIMER_Close</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga83113a85eb313523f4ec35ab585d8968"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API stops Timer counting and disable the Timer interrupt function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">More...</a><br /></td></tr>
<tr class="separator:ga83113a85eb313523f4ec35ab585d8968"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0dad1dbaf69f945c3d0d5aa91c4eef86"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">TIMER_Delay</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Usec)</td></tr>
<tr class="memdesc:ga0dad1dbaf69f945c3d0d5aa91c4eef86"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to create a delay loop for u32usec micro seconds.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">More...</a><br /></td></tr>
<tr class="separator:ga0dad1dbaf69f945c3d0d5aa91c4eef86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga80ba64bdc40d36cb4a2139f4651b1c42"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">TIMER_EnableCapture</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32CapMode, uint32_t u32Edge)</td></tr>
<tr class="memdesc:ga80ba64bdc40d36cb4a2139f4651b1c42"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to enable timer capture function with specified mode and capture edge.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">More...</a><br /></td></tr>
<tr class="separator:ga80ba64bdc40d36cb4a2139f4651b1c42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1de0e4c2c84476d6c39d40a3bcaac18a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">TIMER_DisableCapture</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga1de0e4c2c84476d6c39d40a3bcaac18a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to disable the Timer capture function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">More...</a><br /></td></tr>
<tr class="separator:ga1de0e4c2c84476d6c39d40a3bcaac18a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72fc8741562dbff619aa7dfe8b73c0a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">TIMER_EnableEventCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Edge)</td></tr>
<tr class="memdesc:ga72fc8741562dbff619aa7dfe8b73c0a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the Timer counter function with specify detection edge.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">More...</a><br /></td></tr>
<tr class="separator:ga72fc8741562dbff619aa7dfe8b73c0a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4460ba2e5f3bdddafab005e1e1fda0da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">TIMER_DisableEventCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga4460ba2e5f3bdddafab005e1e1fda0da"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to disable the Timer event counter function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">More...</a><br /></td></tr>
<tr class="separator:ga4460ba2e5f3bdddafab005e1e1fda0da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga56facc5683886f3ff3b273a3b5e47fcd"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">TIMER_GetModuleClock</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga56facc5683886f3ff3b273a3b5e47fcd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to get the clock frequency of Timer.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">More...</a><br /></td></tr>
<tr class="separator:ga56facc5683886f3ff3b273a3b5e47fcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga452e6b15e2da57f1bb4432e01831c818"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga452e6b15e2da57f1bb4432e01831c818">TIMER_ResetCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga452e6b15e2da57f1bb4432e01831c818"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to reset the Timer counter value.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga452e6b15e2da57f1bb4432e01831c818">More...</a><br /></td></tr>
<tr class="separator:ga452e6b15e2da57f1bb4432e01831c818"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaf424bb31a227f8d672f337e5c6a6059"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaf424bb31a227f8d672f337e5c6a6059">TIMER_EnableFreqCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32DropCount, uint32_t u32Timeout, uint32_t u32EnableInt)</td></tr>
<tr class="memdesc:gaaf424bb31a227f8d672f337e5c6a6059"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the Timer frequency counter function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaf424bb31a227f8d672f337e5c6a6059">More...</a><br /></td></tr>
<tr class="separator:gaaf424bb31a227f8d672f337e5c6a6059"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga709e58fa2804ed056f2e77f4b26cf686"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga709e58fa2804ed056f2e77f4b26cf686">TIMER_DisableFreqCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga709e58fa2804ed056f2e77f4b26cf686"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable the Timer frequency counter function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga709e58fa2804ed056f2e77f4b26cf686">More...</a><br /></td></tr>
<tr class="separator:ga709e58fa2804ed056f2e77f4b26cf686"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0d86a240e96da7b8db2c11f4bbb46693"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0d86a240e96da7b8db2c11f4bbb46693">TIMER_SetTriggerSource</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Src)</td></tr>
<tr class="memdesc:ga0d86a240e96da7b8db2c11f4bbb46693"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to select the interrupt source used to trigger other modules.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0d86a240e96da7b8db2c11f4bbb46693">More...</a><br /></td></tr>
<tr class="separator:ga0d86a240e96da7b8db2c11f4bbb46693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa01b131e6bd3d6c51662670377d32c97"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01b131e6bd3d6c51662670377d32c97">TIMER_SetTriggerTarget</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Mask)</td></tr>
<tr class="memdesc:gaa01b131e6bd3d6c51662670377d32c97"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to set modules trigger by timer interrupt.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01b131e6bd3d6c51662670377d32c97">More...</a><br /></td></tr>
<tr class="separator:gaa01b131e6bd3d6c51662670377d32c97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano 102/112 series TIMER driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>16 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/26 11:39a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2015 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
